/*
 * deserializer.c
 *
 * Initialization and Operational code for TIDA-00271, SAT0074
 *
 * Copyright (C) 2014 Texas Instruments Incorporated - http://www.ti.com/
 *
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 *    Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the
 *    distribution.
 *
 *    Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
 *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
 *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
*/

#include "msp430.h"
#include "mcu2_pins.h"

int state=0;

void init_DESERIALIZER_CONFIG(void)
{

	//PORT 1
	out_EN_LVLSHIFT2;
	P1OUT |= BIT0;				// this will set an output high
	//P1OUT &= ~BIT0;			// this will set an output low

	out_DES_MCU_MASTER_SLAVE;
	//P1OUT |= BIT1;			// this will set an output high
	P1OUT &= ~BIT1;				// this will set an output low

	out_DES_MCU_DATA_AVAILABLE;
	//P1OUT |= BIT2;			// this will set an output high
	P1OUT &= ~BIT2;				// this will set an output low

	in_nCAM3_PASS;
	//state = (P1IN & BIT3);	// this will read the status of an input and save it to the variable state*/

	in_nCAM3_LOCK;
	//state = (P1IN & BIT4);	// this will read the status of an input and save it to the variable state*/

	in_nRAD1_LOCK;
	//state = (P1IN & BIT5);	// this will read the status of an input and save it to the variable state*/

	in_nRAD1_PASS;
	//state = (P1IN & BIT6);	// this will read the status of an input and save it to the variable state*/

	in_nCAM1_LOCK;
	//state = (P1IN & BIT7);	// this will read the status of an input and save it to the variable state*/


	//PORT 2
	in_MCU1_2_WAKE_UP_SLEEP;
	//state = (P2IN & BIT0);	// this will read the status of an input and save it to the variable state*/

	in_926_GPO_GPIO;
	//state = (P2IN & BIT1);	// this will read the status of an input and save it to the variable state*/

	in_CAM1_GPIO00;
	//state = (P2IN & BIT2);	// this will read the status of an input and save it to the variable state*/

	in_CAM2_GPIO00;
	//state = (P2IN & BIT3);	// this will read the status of an input and save it to the variable state*/

	in_CAM3_GPIO00;
	//state = (P2IN & BIT4);	// this will read the status of an input and save it to the variable state*/

	in_nCAM2_LOCK;
	//state = (P2IN & BIT5);	// this will read the status of an input and save it to the variable state*/

	in_nCAM2_PASS;
	//state = (P2IN & BIT6);	// this will read the status of an input and save it to the variable state*/

	in_nCAM1_LOCK_2;
	//state = (P2IN & BIT7);	// this will read the status of an input and save it to the variable state*/


	//PORT 3
	in_nCAM1_PASS;
	//state = (P3IN & BIT0);	// this will read the status of an input and save it to the variable state*/

	in_I2C3_SDA;
	//state = (P3IN & BIT1);	// this will read the status of an input and save it to the variable state*/

	in_I2C3_SCL;
	//state = (P3IN & BIT2);	// this will read the status of an input and save it to the variable state*/

	out_RAD1_BISTC;
	//P3OUT |= BIT3;			// this will set an output high
	P3OUT &= ~BIT3;				// this will set an output low

	in_LIN_TXD;
	//state = (P3IN & BIT4);	// this will read the status of an input and save it to the variable state*/

	in_LIN_RXD;
	//state = (P3IN & BIT5);	// this will read the status of an input and save it to the variable state*/

	out_RAD1_PDB;
	//P3OUT |= BIT6;			// this will set an output high
	P3OUT &= ~BIT6;				// this will set an output low

	out_nI2C3_SWITCH;
	P3OUT |= BIT7;			// this will set an output high
	//P3OUT &= ~BIT7;				// this will set an output low


	//PORT 4
	out_CAM1_PDB;
	//P4OUT |= BIT0;			// this will set an output high
	P4OUT &= ~BIT0;				// this will set an output low

	out_CAM2_PDB;
	//P4OUT |= BIT1;			// this will set an output high
	P4OUT &= ~BIT1;				// this will set an output low

	out_CAM3_PDB;
	//P4OUT |= BIT2;			// this will set an output high
	P4OUT &= ~BIT2;				// this will set an output low

	out_CAM1_SEL;
	//P4OUT |= BIT3;			// this will set an output high
	P4OUT &= ~BIT3;				// this will set an output low

	out_CPLD_RESET;
	//P4OUT |= BIT4;			// this will set an output high
	P4OUT &= ~BIT4;				// this will set an output low

	in_CAM1_GPIO01;
	//state = (P4IN & BIT5);	// this will read the status of an input and save it to the variable state*/

	in_CAM2_GPIO01;
	//state = (P4IN & BIT6);	// this will read the status of an input and save it to the variable state*/

	in_CAM3_GPIO01;
	//state = (P4IN & BIT7);	// this will read the status of an input and save it to the variable state*/

	return;
}



