/*
 * mcu2pins.h
 *
 * Initialization and Operational code for TIDA-00271, SAT0074
 *
 * Copyright (C) 2014 Texas Instruments Incorporated - http://www.ti.com/
 *
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 *    Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the
 *    distribution.
 *
 *    Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
 *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
 *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
*/

#ifndef MCU2_PINS_H_
#define MCU2_PINS_H_

//MCU2 (Deserializer)

//PORT 1
#define out_EN_LVLSHIFT2			P1DIR |= BIT0		//input signal I2C levelshifter 2 EN_LVLSHIFT1
#define out_DES_MCU_MASTER_SLAVE	P1DIR |= BIT1		//input signal mainboard DES_MCU_MASTER_SLAVE
#define out_DES_MCU_DATA_AVAILABLE	P1DIR |= BIT2 		//input signal mainboard DES_MCU_DATA_AVAILABLE
#define in_nCAM3_PASS				P1DIR &= ~BIT3		//output signal 914 nCAM3_PASS
#define in_nCAM3_LOCK				P1DIR &= ~BIT4		//output signal 914 nCAM3_LOCK
#define in_nRAD1_LOCK				P1DIR &= ~BIT5 		//output signal 926 nRAD1_LOCK
#define in_nRAD1_PASS				P1DIR &= ~BIT6		//output signal 926 nRAD1_PASS
#define in_nCAM1_LOCK				P1DIR &= ~BIT7		//output signal 914 nCAM1_LOCK

//PORT 2
#define in_MCU1_2_WAKE_UP_SLEEP		P2DIR &= ~BIT0		//output signal mainboard MCU1+2_WAKE_UP+SLEEP
#define in_926_GPO_GPIO				P2DIR &= ~BIT1 		//output or input signal 926 926_GPO_GPIO
#define in_CAM1_GPIO00				P2DIR &= ~BIT2		//output or input signal 914 CAM1_GPIO00
#define in_CAM2_GPIO00				P2DIR &= ~BIT3		//output or input signal 914 CAM2_GPIO00
#define in_CAM3_GPIO00				P2DIR &= ~BIT4		//output or input signal 914 CAM3_GPIO00
#define in_nCAM2_LOCK				P2DIR &= ~BIT5		//output signal 914 nCAM2_LOCK
#define in_nCAM2_PASS				P2DIR &= ~BIT6		//output signal 914 nCAM2_PASS
#define in_nCAM1_LOCK_2				P2DIR &= ~BIT7		//output signal 914 nCAM1_LOCK is doubled by mistake

//PORT 3
#define in_nCAM1_PASS 		P3DIR &= ~BIT0		//output signal 914 nCAM1_PASS
#define in_I2C3_SDA			P3DIR &= ~BIT1		//for testing only
#define in_I2C3_SCL			P3DIR &= ~BIT2		//for testing only
#define out_RAD1_BISTC		P3DIR |= BIT3		//input signal 926  RAD1_BISTC
#define in_LIN_TXD			P3DIR &= ~BIT4		//for testing only
#define in_LIN_RXD			P3DIR &= ~BIT5		//for testing only
#define out_RAD1_PDB		P3DIR |= BIT6		//input signal 926 RAD1_PDB
#define out_nI2C3_SWITCH 	P3DIR |= BIT7		//input signal USBswitcher nI2C3_SWITCH

//PORT 4
#define out_CAM1_PDB 	P4DIR |= BIT0		//input signal 914 CAM1_PDB
#define out_CAM2_PDB 	P4DIR |= BIT1		//input signal 914 CAM2_PDB
#define out_CAM3_PDB 	P4DIR |= BIT2		//input signal 914 CAM3_PDB
#define out_CAM1_SEL 	P4DIR |= BIT3		//input signal CAM1_SEL
#define out_CPLD_RESET 	P4DIR |= BIT4		//input signal CPLD CPDL_RESET
#define in_CAM1_GPIO01 	P4DIR &= ~BIT5		//output or input signal 914 CAM1_GPIO01
#define in_CAM2_GPIO01 	P4DIR &= ~BIT6		//output or input signal 914 CAM2_GPIO01
#define in_CAM3_GPIO01 	P4DIR &= ~BIT7		//output or input signal 914 CAM3_GPIO01



#endif /* MCU2_PINS_H_ */
