/*
 * power_setup.c
 *
 * Initialization and Operational code for TIDA-00271, SAT0074
 *
 * Copyright (C) 2014 Texas Instruments Incorporated - http://www.ti.com/
 *
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 *    Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the
 *    distribution.
 *
 *    Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
 *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
 *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
*/


#include "msp430.h"
#include "mcu1_pins.h"

int state=0;

void init_POWER_CONFIG(void)
{



    //PORT 1
    in_n5V_SW_FAULT_CAM1;       //output signal 5V switcher n5V_SW_FAULT_CAM1
    //state = (P1IN & BIT0);    // this will read the status of an input and save it to the variable state*/

    in_n5V_SW_FAULT_CAM2;       //output signal 5V switcher n5V_SW_FAULT_CAM2
    //state = (P1IN & BIT1);    // this will read the status of an input and save it to the variable state*/

    in_n5V_SW_FAULT_CAM3;       //output signal 5V switcher n5V_SW_FAULT_CAM3
    //state = (P1IN & BIT2);    // this will read the status of an input and save it to the variable state*/

    in_n8V_SW_THM;              //output signal 8V switcher n8V_SW_THM
    //state = (P1IN & BIT3);    // this will read the status of an input and save it to the variable state*/

    out_EN_LVLSHIFT1;           //input signal I2C levelshifter 1 EN_LVLSHIFT1
    //P1OUT |= BIT4;            // this will set an output high
    P1OUT &= ~BIT4;             // this will set an output low

    out_PWR_MCU_DATA_AVAILABLE; //input signal mainboard PWR_MCU_DATA_AVAILABLE
    //P1OUT |= BIT5;            // this will set an output high
    P1OUT &= ~BIT5;             // this will set an output low

    out_PWR_MCU_MASTER_SLAVE;   //input signal mainboard PWR_MCU_MASTER_SLAVE
    //P1OUT |= BIT6;            // this will set an output high
    P1OUT &= ~BIT6;             // this will set an output low

    in_n8V_SW_ERROR;            //output signal 8V switcher n8V_SW_ERROR
    //state = (P1IN & BIT7);    // this will read the status of an input and save it to the variable state*/


    //PORT 2
    in_INA200_CMPOUT_CAM1;  //output signal INA200 INA200_CMPOUT_CAM1
    //state = (P2IN & BIT0);// this will read the status of an input and save it to the variable state*/

    in_INA200_CMPOUT_CAM2;  //output signal INA200 INA200_CMPOUT_CAM2
    //state = (P2IN & BIT1);// this will read the status of an input and save it to the variable state*/

    in_INA200_CMPOUT_CAM3;  //output signal INA200 INA200_CMPOUT_CAM2
    //state = (P2IN & BIT2);// this will read the status of an input and save it to the variable state*/

    in_PG_5V_1A;            //output signal 5V 1A buck PG_5V_1A
    //state = (P2IN & BIT3);// this will read the status of an input and save it to the variable state*/

    in_PG_3V3;              //output signal 3V3 buck PG_3V3
    //state = (P2IN & BIT4);// this will read the status of an input and save it to the variable state*/

    in_MCU1_2_WAKE_UP_SLEEP;//output signal mainboard MCU1+2_WAKE_UP+SLEEP
    //state = (P2IN & BIT5);// this will read the status of an input and save it to the variable state*/

    out_nINA200_RESET_CAM1; //input signal INA200 out_nINA200_RESET_CAM1
    P2OUT |= BIT6;          // this will set an output high
    //P2OUT &= ~BIT6;// this will set an output low

    in_PG_5V_2A5;           //output signal 3V3 buck PG_3V3
    //state = (P2IN & BIT7);// this will read the status of an input and save it to the variable state*/



    //PORT 3
    out_8V_SW_CLK;          //input signal 8V switcher 8V_SW_CLK
    //P3OuT |= BIT0;        //this will set an output high
    P3OUT &= ~BIT0;         //this will set an output low

    in_I2C5_SDA;            //as input defined for testing
    //state = (P3IN & BIT1);//as input defined for testing

    in_I2C5_SCL;            //as input defined for testing
    //state = (P3IN & BIT2);//as input defined for testing

    out_n8V_SW_CS;          //input signal 8V switcher n8V_SW_CS
    //P3OUT |= BIT3;        //this will set an output high
    P3OUT &= ~BIT3;         //this will set an output low

    out_8V_SW_EN;           //input signal 8V switcher n8V_SW_EN
    //P3OUT |= BIT4;        //this will set an output high
    P3OUT &= ~BIT4;         //this will set an output low

    in_8V_SW_DATAOUT;       //output signal 8V switcher 8V_SW_DATAOUT
    //state = (P3IN & BIT5);//this will read the status of an input and save it to the variable state*/

    out_8V_OR_n5V_SW_CAM1;  //input signal 8V and 5V switcher 8V_OR_n5V_SW_CAM1
    //P3OUT |= BIT6;        // this will set an output high
    P3OUT &= ~BIT6;         //this will set an output low

    out_8V_OR_n5V_SW_CAM2;  //input signal 8V and 5V switcher 8V_OR_n5V_SW_CAM2
    //P3OUT |= BIT7;        //this will set an output high
    P3OUT &= ~BIT7;         //this will set an output low



    //PORT 4
    out_nINA200_RESET_CAM3; //input signal INA200 out_nINA200_RESET_CAM3
    P4OUT |= BIT0;          // this will set an output high
    //P4OUT &= ~BIT0;       // this will set an output low

    out_EN_5V_2A5;          //input signal 5V 2A5 buck EN_5V_2A5
    P4OUT |= BIT1;      // this will set an output high
    //P4OUT &= ~BIT1;           // this will set an output low



    out_nINA200_RESET_CAM2; //input signal INA200 out_nINA200_RESET_CAM2
    P4OUT |= BIT3;          // this will set an output high
    //P4OUT &= ~BIT3;       // this will set an output low

    out_EN_8V;              //input signal 8V switcher EN_8V
    P4OUT |= BIT4;      // this will set an output high
    //P4OUT &= ~BIT4;           // this will set an output low

    __delay_cycles(100000);

    out_EN_1V8;             //input signal 1V8 buck EN_1V8
    P4OUT |= BIT5;      // this will set an output high
    //P4OUT &= ~BIT5;           // this will set an output low

    __delay_cycles(100000);

    out_EN_5V_1A;           //input signal 5V 1A buck EN_5V_1A
    P4OUT |= BIT2;      // this will set an output high
    //P4OUT &= ~BIT2;           // this will set an output low

    out_926_CONFIG_READY;   //input signal CPLD 926_CONFIG_READY
    //PxOUT |= BITx;        // this will set an output high
    P4OUT &= ~BIT6;         // this will set an output low

    out_8V_OR_n5V_SW_CAM3;  //input signal 8V and 5V switcher 8V_OR_n5V_SW_CAM3
    //P4OUT |= BIT7;        // this will set an output high
    P4OUT &= ~BIT7;         // this will set an output low

    return;
}



